<!DOCTYPE html
  PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "DTD/xhtml1-strict.dtd">
<html>
  <head>
    <title>API docs for &ldquo;kiwi.ui.gazpacholoader&rdquo;</title>
    <meta content="text/html;charset=utf-8" http-equiv="Content-Type" />
    <link href="apidocs.css" type="text/css" rel="stylesheet" />
    
    
  </head>
  <body>
    <h1 class="module">Module k.u.gazpacholoader</h1>
    <p>
      <span id="part">Part of <a href="kiwi.html">kiwi</a>.<a href="kiwi.ui.html">ui</a></span>
      
      
    </p>
    <div>
      
    </div>
    <div>Gazpacho integration: loader and extensions
<table class="fieldTable"></table></div>
    
    
    <div id="splitTables">
      <table class="children sortable" id="id304">
  
  
  
  
  <tr class="class">
    
    
    <td>Class</td>
    <td><a href="kiwi.ui.gazpacholoader.Builder.html">Builder</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="class">
    
    
    <td>Class</td>
    <td><a href="kiwi.ui.gazpacholoader.GazpachoWidgetTree.html">GazpachoWidgetTree</a></td>
    <td><span>Example class of GladeAdaptor that uses Gazpacho loader to load the
</span></td>
  </tr><tr class="class">
    
    
    <td>Class</td>
    <td><a href="kiwi.ui.gazpacholoader.HyperLinkAdaptor.html">HyperLinkAdaptor</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="class">
    
    
    <td>Class</td>
    <td><a href="kiwi.ui.gazpacholoader.ComboEntryAdaptor.html">ComboEntryAdaptor</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="class">
    
    
    <td>Class</td>
    <td><a href="kiwi.ui.gazpacholoader.DateEntryAdaptor.html">DateEntryAdaptor</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="class">
    
    
    <td>Class</td>
    <td><a href="kiwi.ui.gazpacholoader.KiwiColumnAdapter.html">KiwiColumnAdapter</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="class">
    
    
    <td>Class</td>
    <td><a href="kiwi.ui.gazpacholoader.ObjectListAdapter.html">ObjectListAdapter</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="class">
    
    
    <td>Class</td>
    <td><a href="kiwi.ui.gazpacholoader.ObjectTreeAdapter.html">ObjectTreeAdapter</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="class">
    
    
    <td>Class</td>
    <td><a href="kiwi.ui.gazpacholoader.DataTypeAdaptor.html">DataTypeAdaptor</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="class">
    
    
    <td>Class</td>
    <td><a href="kiwi.ui.gazpacholoader.SpinBtnDataType.html">SpinBtnDataType</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="class">
    
    
    <td>Class</td>
    <td><a href="kiwi.ui.gazpacholoader.HScaleDataType.html">HScaleDataType</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="class">
    
    
    <td>Class</td>
    <td><a href="kiwi.ui.gazpacholoader.VScaleDataType.html">VScaleDataType</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="class">
    
    
    <td>Class</td>
    <td><a href="kiwi.ui.gazpacholoader.EntryDataType.html">EntryDataType</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="class">
    
    
    <td>Class</td>
    <td><a href="kiwi.ui.gazpacholoader.TextViewDataType.html">TextViewDataType</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="class">
    
    
    <td>Class</td>
    <td><a href="kiwi.ui.gazpacholoader.ComboBoxDataType.html">ComboBoxDataType</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="class">
    
    
    <td>Class</td>
    <td><a href="kiwi.ui.gazpacholoader.ComboBoxEntryDataType.html">ComboBoxEntryDataType</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="class">
    
    
    <td>Class</td>
    <td><a href="kiwi.ui.gazpacholoader.ComboEntryDataType.html">ComboEntryDataType</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="class">
    
    
    <td>Class</td>
    <td><a href="kiwi.ui.gazpacholoader.LabelDataType.html">LabelDataType</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="class">
    
    
    <td>Class</td>
    <td><a href="kiwi.ui.gazpacholoader.ButtonDataType.html">ButtonDataType</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="class">
    
    
    <td>Class</td>
    <td><a href="kiwi.ui.gazpacholoader.DataType.html">DataType</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="class">
    
    
    <td>Class</td>
    <td><a href="kiwi.ui.gazpacholoader.BoolOnlyDataType.html">BoolOnlyDataType</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="class">
    
    
    <td>Class</td>
    <td><a href="kiwi.ui.gazpacholoader.DateOnlyDataType.html">DateOnlyDataType</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="class">
    
    
    <td>Class</td>
    <td><a href="kiwi.ui.gazpacholoader.ModelProperty.html">ModelProperty</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="class">
    
    
    <td>Class</td>
    <td><a href="kiwi.ui.gazpacholoader.DataValueProperty.html">DataValueProperty</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="class">
    
    
    <td>Class</td>
    <td><a href="kiwi.ui.gazpacholoader.KiwiComboBoxAdapter.html">KiwiComboBoxAdapter</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="function">
    
    
    <td>Function</td>
    <td><a href="kiwi.ui.gazpacholoader.html#register_widgets">register_widgets</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr>
  
</table>
      
      
    </div>
    
    
    
    <div class="function">
        <a name="kiwi.ui.gazpacholoader.register_widgets"></a>
        <a name="register_widgets"></a>
        <div class="functionHeader">
        
        def register_widgets():
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div>
    
    <address>
      <a href="index.html">API Documentation</a> for Kiwi, generated by <a href="http://codespeak.net/~mwh/pydoctor/">pydoctor</a> at 2008-05-29 16:06:17.
    </address>
  </body>
</html>